Subject: Re: [PATCH net-next 7/7] devlink: Move devlink dev selftest code to dev

From: Jakub Kicinski <[email-masked]>
Date: Thu, 2 Feb 2023 11:46:21 -0800

On Thu, 2 Feb 2023 21:33:52 +0200 Moshe Shemesh wrote:
> On 02/02/2023 20:17, Jakub Kicinski wrote:
> > On Thu, 2 Feb 2023 16:47:06 +0200 Moshe Shemesh wrote:  
> >> Move devlink dev selftest callbacks and related code from leftover.c to
> >> file dev.c. No functional change in this patch.  
> > selftest I'd put in its own file. We don't want every command which
> > doesn't have a specific sub-object to end up in dev.c, right?
> > At least that was my initial thinking. I don't see any dependencies
> > between the selftest code and the rest of the dev code either.
> > WDYT?  
> 
> I thought as it is devlink dev selftest, the sub-object is dev. 
> Otherwise, what should be the rule here ?
> 
> How do we decide if it should get its own file ?

My thinking was that it should be much easier for newcomers to grok
"what does it take to implement a devlink command" if most of the
subcommands where in their own files, like in ethtool.

The implementation could have as well made selftest a subobject.
But I don't feel strongly, if noone agrees we can apply as is and 
see if dev.c does indeed start to grow out of proportion.